Bug 689252 - Write caching for virtio-blk disk is ENABLED and cannot be disabled (within a 2008R2 guest)
Write caching for virtio-blk disk is ENABLED and cannot be disabled (within a...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
x86_64 Windows
unspecified Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-03-20 11:27 EDT by Yaniv Kaul
Modified: 2013-07-03 22:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-11 12:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2011-03-20 11:27:58 EDT
Description of problem:
On my 2008R2 VM, the write cache settings for a virtio-blk enabled disk is ENABLED. Moreover - it cannot be disabled ("This device does not allow its write-caching setting to be changed" - with an exclamation mark next to it).
I can, however, uncheck 'turn off Windows write cache buffer flushing on the device'. Not sure if it's good enough. 

I'm running the VM via RHEVM 2.2, with a QCOW2 image, cache=none, against a Netapp iSCSI with target with write-through cache settings (as determined via /sys/class/scsi_disk/N:N:N:N/cache_type)

Version-Release number of selected component (if applicable):
kernel-2.6.18-194.26.1.el5
kvm-83-164.el5_5.26 

How reproducible:
Always

Steps to Reproduce:
1. Via the device manager, locate the virtio-blk based disk, right click on its properties and try to change the caching parameter.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Kaul 2011-03-20 11:34:25 EDT
Note: it seems it can be changed in a 2003 guest.
Comment 2 Vadim Rozenfeld 2011-08-11 12:13:48 EDT
(In reply to comment #0)
> Description of problem:
> On my 2008R2 VM, the write cache settings for a virtio-blk enabled disk is
> ENABLED. Moreover - it cannot be disabled ("This device does not allow its
> write-caching setting to be changed" - with an exclamation mark next to it).

In our situation it is not possible to change WCE on the working system. WCE can be turned down by specifying cache=writethrough.


> I can, however, uncheck 'turn off Windows write cache buffer flushing on the
> device'. Not sure if it's good enough. 

This way one can throttle down or even disable sending of flush requests from a file system driver.  

I'm going to close this bug as NOTABUG. Please feel free to reopen this bug in 6.3 if you think different.

Note You need to log in before you can comment on or make changes to this bug.